Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileTypeImpl Class Reference
[Parsers]

Inheritance diagram for FileTypeImpl:

## Detailed Description

File Type storage implementation.

Contains different attributes of HRC file type.

## Public Member Functions
const String * | getName ()
const String * | getGroup ()
const String * | getDescription ()
Scheme * | getBaseScheme ()
const String * | enumerateParameters (int idx)
const String * | getParameterDescription (const String &name)
const String * | getParamValue (const String &name)
const String * | getParamDefaultValue (const String &name)
void | setParamValue (const String &name, const String *value)
double | getPriority (const String *fileName, const String *fileContent) const
| Returns total priority, accordingly to all it's choosers (filename and firstline choosers).
## Protected Member Functions
| FileTypeImpl (HRCParserImpl *hrcParser)
## Protected Attributes
bool | protoLoaded
| is prototype component loaded
bool | typeLoaded
| is type component loaded
bool | loadDone
| is type references fully resolved
bool | loadBroken
| is initial type load failed
bool | inputSourceLoading
| is this IS loading was started
String * | name
String * | group
String * | description
bool | isPackage
HRCParserImpl * | hrcParser
SchemeImpl * | baseScheme
Vector< FileTypeChooser * > | chooserVector
Hashtable< String * > | paramDefaultHash
Hashtable< String * > | paramHash
Hashtable< String * > | paramDescriptionHash
Vector< String * > | paramVector
Vector< String * > | importVector
InputSource * | inputSource

## Member Function Documentation

double FileTypeImpl::getPriority | ( | const String * | fileName,
|  | const String * | fileContent
| ) | const`[inline]`

  | Returns total priority, accordingly to all it's choosers (filename and firstline choosers). All `fileContent` RE's are tested only if priority of previously computed `fileName` RE's is more, than zero. Parameters:
  | fileName | String representation of file name (without path). If null, method skips filename matching, and starts directly with fileContent matching.
  | fileContent | Some part of file's starting content (first line, for example). If null, skipped.
Returns: Computed total filetype priority.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.